Package org.eclipse.emf.cdo.spi.server

# Class RepositoryActivityLog.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.PropertiesFactory
org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`, `org.eclipse.net4j.util.factory.IPropertiesFactory`

Direct Known Subclasses:
  `RepositoryActivityLog.Rolling.Factory`

Enclosing class:
  `RepositoryActivityLog`

public abstract static class RepositoryActivityLog.Factory extends org.eclipse.net4j.util.factory.PropertiesFactory

Since:
  4.7
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

`DEFAULT_KEY, PROPERTY_SEPARATOR`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract RepositoryActivityLog`
`create(Map<String,String> properties)`

### Methods inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

`create, createDescription, createWithProperties, getPropertiesFor, parseProperties`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`getDescriptionFor, getKey`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### create

protected abstract RepositoryActivityLog create(Map<String,String> properties) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in class `org.eclipse.net4j.util.factory.PropertiesFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`